field_expr_v2_nonlinear_terminal_function_rep< Function >
Inheritance diagram for field_expr_v2_nonlinear_terminal_function_rep< Function >:

## Public Types

typedef geo_element::size_type | size_type
typedef rheo_default_memory_model | memory_type
typedef details::function_traits< Function >::copiable_type | function_type
typedef details::function_traits< Function >::result_type | result_type
typedef details::function_traits< Function >::template arg< 0 >::type | argument_type
typedef scalar_traits< result_type >::type | scalar_type
typedef float_traits< result_type >::type | float_type
typedef result_type | value_type
typedef field_expr_v2_nonlinear_terminal_function_base_rep< float_type > | base

## Public Member Functions

| field_expr_v2_nonlinear_terminal_function_rep (const Function &f)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt) const
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
void | evaluate_on_side (const geo_basic< float_type, memory_type > &omega_L, const geo_element &L, const side_information_type &sid, Eigen::Matrix< result_type, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const

## Public Attributes

std::array< Eigen::Matrix< scalar_type, Eigen::Dynamic, 1 >,reference_element::max_variant > | _scalar_val
std::array< Eigen::Matrix< point_basic< scalar_type >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _vector_val
std::array< Eigen::Matrix< tensor_basic< scalar_type >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _tensor_val
std::array< Eigen::Matrix< tensor3_basic< scalar_type >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _tensor3_val
std::array< Eigen::Matrix< tensor4_basic< scalar_type >, Eigen::Dynamic, 1 >,reference_element::max_variant > | _tensor4_val

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<result_type>::value

## Protected Attributes

function_type | _f

## Detailed Description

### template<class Function>
class rheolef::details::field_expr_v2_nonlinear_terminal_function_rep< Function >

Definition at line 155 of file field_expr_terminal.h.

## Member Typedef Documentation

## size_type

typedef geo_element::size_type size_type

Definition at line 162 of file field_expr_terminal.h.

## memory_type

typedef rheo_default_memory_model memory_type

Definition at line 163 of file field_expr_terminal.h.

## function_type

typedef details::function_traits<Function>::copiable_type function_type

Definition at line 164 of file field_expr_terminal.h.

## result_type

typedef details::function_traits<Function>::result_type result_type

Definition at line 165 of file field_expr_terminal.h.

## argument_type

typedef details::function_traits<Function>::template arg<0>::type argument_type

Definition at line 166 of file field_expr_terminal.h.

## scalar_type

typedef scalar_traits<result_type>::type scalar_type

Definition at line 167 of file field_expr_terminal.h.

## float_type

typedef float_traits<result_type>::type float_type

Definition at line 168 of file field_expr_terminal.h.

## value_type

typedef result_type value_type

Definition at line 169 of file field_expr_terminal.h.

## base

typedef field_expr_v2_nonlinear_terminal_function_base_rep<float_type> base

Definition at line 170 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_function_rep()

field_expr_v2_nonlinear_terminal_function_rep | ( | const Function & | f | ) |

Definition at line 245 of file field_expr_terminal.h.

## Member Function Documentation

## valued_tag()

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 180 of file field_expr_terminal.h.

## initialize() [1/2]

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 183 of file field_expr_terminal.h.

## initialize() [2/2]

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  | const

Definition at line 188 of file field_expr_terminal.h.

## evaluate()

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 194 of file field_expr_terminal.h.

## evaluate_on_side()

void evaluate_on_side | ( | const geo_basic< float_type, memory_type > & | omega_L,
|  | const geo_element & | L,
|  | const side_information_type & | sid,
|  | Eigen::Matrix< result_type, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 208 of file field_expr_terminal.h.

## valued_check()

bool valued_check | ( |  | ) | const

Definition at line 217 of file field_expr_terminal.h.

## Member Data Documentation

## valued_hint

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<result_type>::value

static

Definition at line 178 of file field_expr_terminal.h.

## _f

function_type _f

protected

Definition at line 224 of file field_expr_terminal.h.

## _scalar_val

std::array< Eigen::Matrix<scalar_type,Eigen::Dynamic,1> ,reference_element::max_variant> _scalar_val

mutable

Definition at line 229 of file field_expr_terminal.h.

## _vector_val

std::array< Eigen::Matrix<point_basic<scalar_type>,Eigen::Dynamic,1> ,reference_element::max_variant> _vector_val

mutable

Definition at line 232 of file field_expr_terminal.h.

## _tensor_val

std::array< Eigen::Matrix<tensor_basic<scalar_type>,Eigen::Dynamic,1> ,reference_element::max_variant> _tensor_val

mutable

Definition at line 235 of file field_expr_terminal.h.

## _tensor3_val

std::array< Eigen::Matrix<tensor3_basic<scalar_type>,Eigen::Dynamic,1> ,reference_element::max_variant> _tensor3_val

mutable

Definition at line 238 of file field_expr_terminal.h.

## _tensor4_val

std::array< Eigen::Matrix<tensor4_basic<scalar_type>,Eigen::Dynamic,1> ,reference_element::max_variant> _tensor4_val

mutable

Definition at line 241 of file field_expr_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_terminal.h